#
# Curses for Ruby for the Windows One-Click Installers that don't include it.
#
# curses.so ->    ruby\lib\ruby\1.8\i386-mswin32\
# pdcurses.dll -> windows\system32\
#
# See README for details.
#
# Author: Dave Burt <dave@burt.id.au>
# Created: 28 Aug 2005
# Last modified: 3 Sep 2005
#

require 'win32ole'
require 'fileutils'

ruby_dir = WIN32OLE.new("WScript.Shell").
               RegRead("HKLM\\SOFTWARE\\Ruby\\RubyInstaller\\DefaultPath")

target_dir = File.join(ruby_dir, "lib/ruby/1.8/i386-mswin32")

win_dir = File.join(ENV['windir'], "System32")

puts "Setup has detected Ruby at #{ruby_dir}"
puts "and Windows/System32 at #{win_dir}"

print "Install Curses there? [yN] "

if gets =~ /^y/i
    FileUtils.copy "curses.so", target_dir, :verbose => true
    FileUtils.copy "pdcurses.dll", win_dir, :verbose => true
    require 'curses'
    puts "Installation successful."
end
